## git-package 1.0.31

=== debian/changelog ===
git-package (1.0.31-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [687a3e3] Update help message
  * [9e6b30f] Completion is incompatible with old bash completion
  * [3f9ade1] Merge tag 'release/1.0.31'

  [ EOLE Build Daemon ]
  * [fada4b2] Daniel Dehennin: Update package since 'debian/eole/2.4/1.0.29-1'

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 20 May 2014 16:23:51 +0200

git-package (1.0.29-1) eole-2.4-unstable; urgency=low

  * [694669a] Clean bash completion
  * [0237411] Make bash completion more user friendly
  * [e5467b6] Branch name completion is limited to prefix “dist/”
  * [d1570d7] Use “git cat-file” to check for file existence
  * [3c4ac48] Distribution branch names are limited to “dist/”
  * [eaf17da] Checking remote branch use global variables
  * [1dd1848] Do not build if package branch is not pushed
  * [596dbd5] Switch to packaging branch as early as possible (Fixes: #6813, 15)
  * [16414e6] Build distribution names are not configurable
  * [78be2cb] Use “master” as default dev branch name

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 23 Jan 2014 14:38:46 +0100

git-package (1.0.28-1) eole-2.4-unstable; urgency=low

  [ Garette Emmanuel ]
  * [3e8c551] Unable to get release with a "release/" directory in source

  [ Daniel Dehennin ]

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 17 Dec 2013 11:47:41 +0100

git-package (1.0.27-1) eole-2.4-unstable; urgency=low

  * [f09c16f] First package do not display list of commits

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 27 Nov 2013 13:20:53 +0100

git-package (1.0.26-1) eole-2.4-unstable; urgency=low

  * [52a4cd0] To not check tag for EOLE 2.3
  * [7ac6549] Factorize the switch back to development branch
  * [ab85f74] Display commit list in merge and build request
  * [ab18415] No information on last release tag when release tag is missing

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Nov 2013 18:02:24 +0100

git-package (1.0.25-1) eole-2.4-unstable; urgency=low

  * [e483b16] Enforce the merge of tag for non-native packages
  * [9c12fe1] Can not build first package
  * [980ee3f] Wrong logic in checking for new commits

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 11 Oct 2013 17:45:08 +0200

git-package (1.0.23-1) eole-2.4-unstable; urgency=low

  * [f4a0f1a] Do not merge tag for EOLE 2.3 (Fixes: #6366, 15)

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Fri, 11 Oct 2013 11:03:48 +0200

git-package (1.0.22-1) eole-2.4-unstable; urgency=low

  * [b8743ea] New library giteole-package is not installed

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 10 Oct 2013 11:48:40 +0200

git-package (1.0.21-1) eole-2.4-unstable; urgency=low

  * [858efcf] Add git-buildpackage configuration for debian version tag format
  * [5f6cf13] Split distribution name into “<distribution>/<release>”
    (Fixes: #6317, 30)
  * [0fc587a] Clean local build request tag

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 09 Oct 2013 15:10:00 +0200

git-package (1.0.20-1) eole-2.4-unstable; urgency=low

  * [73cbfab] Move git-package logic in its own library
  * [627896b] Avoid new build if there is no new commits (Fixes: #6267, 15)
  * [27a0e39] Make sure to get tag of distribution branch

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Mon, 07 Oct 2013 11:04:27 +0200

git-package (1.0.19-1) eole-2.4-unstable; urgency=low

  * [816a871] User bin directory is ~/bin
  * [22583ce] Verify that local release tag is equal to remote one

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 02 Jul 2013 11:58:10 +0200

git-package (1.0.18-1) eole-2.4-unstable; urgency=low

  * [b9b39f7] Add remote branches to bash completion.

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Wed, 06 Mar 2013 15:36:51 +0100

git-package (1.0.17-1) eole-2.4-unstable; urgency=low

  * [fb35cb7] Permit to build from development branch by passing branch name
  * [bfe090c] Get remote of current branch if no distribution branch is present

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 05 Mar 2013 18:12:07 +0100

git-package (1.0.15-1) eole-2.4-unstable; urgency=low

  * [fcd489d] Better message display

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Thu, 31 Jan 2013 09:10:47 +0100

git-package (1.0.14-1) eole-2.4-unstable; urgency=low

  * [163c56a] Use existing tag names when merging a branch (Fixes: #4790, 2)

 -- Daniel Dehennin <daniel.dehennin@ac-dijon.fr>  Tue, 29 Jan 2013 12:23:33 +0100

git-package (1.0.13-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [cd49f01] Better messages display

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Thu, 20 Dec 2012 15:23:43 +0100

git-package (1.0.12-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [6b7f267] Can not request a build when in a subdirectory.
    Thanks to Emmanuel Garette (Fixes: #4107, 1)

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Wed, 21 Nov 2012 14:11:14 +0100

git-package (1.0.11-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [4f4e19c] Permit to answer "y" for pushing the distribution branch

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Tue, 18 Sep 2012 15:01:41 +0200

git-package (1.0.10-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [d2e5fa7] Fix pushing distribution branch

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Wed, 12 Sep 2012 11:59:11 +0200

git-package (1.0.9-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [a22a56a] Simplification of pushed: ask to proceed

  [ EOLE Build Daemon ]

 -- EOLE Build Daemon <buildd@listeseole.ac-dijon.fr>  Wed, 12 Sep 2012 11:17:27 +0200

git-package (1.0.8-1) eole-2.4-unstable; urgency=low

  [ Daniel Dehennin ]
  * [f176be6] Building a package require a debian branch
  * [e1869b4] Modification outside debian/ is authorized for native packages

