=== debian/control ===
Source: git-package
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Section: vcs
Priority: extra
Build-Depends: bash-completion, debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/git-package/repository
Vcs-Git: http://dev-eole.ac-dijon.fr/git/git-package
Homepage: http://eole.orion.education.fr/diff/

Package: git-package
Architecture: all
Depends: git, ${misc:Depends}
Recommends: bash-completion
Description: EOLE packaging facility
 EOLE project use git as main Vcs with the following branch naming
 policy:
  master: main development
  dist/<vendor>/<distribution>: per vendor, per distribution packaging
 .
 This package provide the git-package tool to automate the task of
 merging the current branch into a packaging one and request build for
 the forthcoming 2.4 release.
