=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with bash-completion

override_dh_auto_install:
	dh_auto_install -- prefix=/usr bindir_relative=lib/git-core sharedir=usr/share/doc/

.PHONY: override_dh_auto_install
